View Issue Details

IDProjectCategoryView StatusLast Update
0017184mantisbtapi soappublic2014-12-08 00:34
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.2.17 
Target Version1.3.0-beta.1Fixed in Version1.3.0-beta.1 
Summary0017184: Anonymous authentication to soap api
Description

Currently the soap api enables anonymous logins by passing in empty user name and password. However, authentication seems to fail when the anonymous user name is passed in with empty password. The authentication API should handle both cases without given access denied.

Tagspatch

Relationships

related to 0013750 closedvboctor MantisTouch Enable anonymous access to MantisBT 

Activities

vboctor

vboctor

2014-04-12 02:08

manager   ~0039914

Here is the associated pull request:
https://github.com/mantisbt/mantisbt/pull/159/

Related Changesets

MantisBT: master b1877a6a

2014-04-21 23:14:28

mantishub

Details Diff
Fixes 0017184: Anonymous authentication to soap api.

Anonymous authentication now works by passing in an empty user name
or the anonymous user name. In both cases, the password field should
be left blank. The authentication logic has been pushed into the
script login validation core API.
mod - api/soap/mc_api.php Diff File
mod - core/authentication_api.php Diff File

Issue History

Date Modified Username Field Change
2014-04-12 00:56 vboctor New Issue
2014-04-12 01:14 vboctor Relationship added related to 0013750
2014-04-12 02:08 vboctor Note Added: 0039914
2014-04-12 02:08 vboctor Tag Attached: patch
2014-04-12 02:11 vboctor Assigned To => vboctor
2014-04-12 02:11 vboctor Status new => assigned
2014-04-21 23:16 mantishub Changeset attached => MantisBT master b1877a6a
2014-04-21 23:16 mantishub Assigned To vboctor => mantishub
2014-04-21 23:16 mantishub Status assigned => resolved
2014-04-21 23:16 mantishub Resolution open => fixed
2014-04-21 23:16 mantishub Fixed in Version => 1.3.0-beta.1
2014-04-22 13:45 dregad Assigned To mantishub => vboctor
2014-04-25 15:26 atrol Target Version => 1.3.0-beta.1
2014-12-08 00:34 vboctor Status resolved => closed